Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518766 - Dashboard layout does not match up
Summary: Dashboard layout does not match up
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.9.2
Assignee: Milan Zázrivec
QA Contact: Dmitry Misharov
URL:
Whiteboard: dashboard:ui
Depends On:
Blocks: 1554897
TreeView+ depends on / blocked
 
Reported: 2017-11-29 14:51 UTC by Josh Carter
Modified: 2018-03-26 13:08 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-26 13:08:14 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 13 Milan Zázrivec 2018-03-15 14:53:33 UTC
I studied this problem / code for a while and as far as I can tell,
things are working correctly in 5.9.

Basically, you can have a default dashboard (which will be the same
for everyone) and a group dashboard (which will be the same for
everyone in a given group). This is all done under Cloud Intel ->
Reports -> Dashboards.

Then you can edit dashboard directly in the dashboard screen (the initial
screen after login) by adding and removing widgets. This is the dashboard
which will be saved just for that one particular user (the one making
these changes).

Which dashboard will be rendered on the dashboard screen? The priority
list is:
1. user's dashboard if it exists
2. group dashboard if it's defined
3. default dashboard otherwise

On the dashboard screen, you have a button to reset the dashboard. Which
dashboard will the application reset it to? The priority list is:
1. group dashboard if it's defined
2. default dashboard otherwise

This is how things are meant to work and as far as I can tell -- that's how
it also works right now. So right now I'm inclined to close this report
with WORKSFORME.

Or perhaps -- I can try to reproduce this problem with a different database,
if it's available, maybe this is just a problem of incorrect data in DB.

Does a reproducing DB exist?


Note You need to log in before you can comment on or make changes to this bug.